<?xml version="1.0"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
<xsl:param name="baseFile"/>    
<xsl:param name="insertFile"/>
<!--
java -cp G:\Xerox\cpx661\lib\xalan.jar org.apache.xalan.xslt.Process -PARAM baseFile f1.xml -PARAM insertFile f2.xml -IN G:\Xerox\cpx661\tmp\dsPrintEmail\xsl\f1.xml -XSL G:\Xerox\cpx661\tmp\dsPrintEmail\xsl\xVDFMessages.xsl -OUT G:\Xerox\cpx661\tmp\dsPrintEmail\xsl\c.out
-->
    <xsl:variable name="doc2" select="document($insertFile)/viewdef/define" />
    
    <xsl:template match="/">
        <xsl:copy>
            <xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE  viewdef [
  <!ENTITY nbsp "&#160;">
  <!ENTITY copy "&#169;">
  <!ENTITY shy  "&#173;">
]>]]>
            </xsl:text>
            <xsl:apply-templates />
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="viewdef">
		<xsl:copy> 
		<xsl:for-each select="node()|@*" >
			<xsl:copy-of select="." />
		</xsl:for-each>
		
		<xsl:comment>PrintEmail_INSERT</xsl:comment>
		<xsl:text>&#xa;</xsl:text>
		<xsl:for-each select="$doc2" >
			<xsl:variable name="curName" select="@id"/>
			<xsl:variable name="matchNode" select="document($baseFile)/viewdef/define[@id=$curName]"/>
			<xsl:if test= "not($matchNode)" >
				<xsl:copy-of select="." />
			</xsl:if>
		</xsl:for-each>
		<xsl:comment>PrintEmail_INSERT</xsl:comment>
		</xsl:copy> 
	</xsl:template>

    
    
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()" />
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>